Package org.opensaml.soap.wsfed

# Class WSFedConstants

java.lang.Object
org.opensaml.soap.wsfed.WSFedConstants

public final class WSFedConstants extends Object
WS-Federation Constants.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`WSADDRESS_NS`
WSFED 1.X Address XML namespace.
`static final String`
`WSADDRESS_PREFIX`
WSFED 1.X Address QName prefix.
`static final String`
`WSFED11P_NS`
WSFED 1.1 protocol XML namespace.
`static final String`
`WSFED1P_PREFIX`
WSFED 1.X Protocol QName prefix.
`static final String`
`WSPOLICY_NS`
WSFED 1.X Policy XML namespace.
`static final String`
`WSPOLICY_PREFIX`
WSFED 1.X Policy QName prefix.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WSFedConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WSFED11P_NS

@Nonnull @NotEmpty public static final String WSFED11P_NS
WSFED 1.1 protocol XML namespace.

See Also:
  - Constant Field Values

### WSFED1P_PREFIX

@Nonnull @NotEmpty public static final String WSFED1P_PREFIX
WSFED 1.X Protocol QName prefix.

See Also:
  - Constant Field Values

### WSPOLICY_NS

@Nonnull @NotEmpty public static final String WSPOLICY_NS
WSFED 1.X Policy XML namespace.

See Also:
  - Constant Field Values

### WSPOLICY_PREFIX

@Nonnull @NotEmpty public static final String WSPOLICY_PREFIX
WSFED 1.X Policy QName prefix.

See Also:
  - Constant Field Values

### WSADDRESS_NS

@Nonnull @NotEmpty public static final String WSADDRESS_NS
WSFED 1.X Address XML namespace.

See Also:
  - Constant Field Values

### WSADDRESS_PREFIX

@Nonnull @NotEmpty public static final String WSADDRESS_PREFIX
WSFED 1.X Address QName prefix.

See Also:
  - Constant Field Values

## Constructor Details

### WSFedConstants

private WSFedConstants()
Constructor.